var err = initInstall( "Document Archive Plugin", "/docarc.sourceforge.net/docarc", "1.0.0" );

// profile installs only work since 2003-03-06
var instToProfile = ( buildID > 2003030600 && confirm( "Install into user profile (else it is installed into global mozilla Directory)?" ) );
var chromef       = instToProfile ? getFolder( "Profile", "chrome" ) : getFolder( "chrome" );
var cont          = instToProfile ? PROFILE_CHROME : DELAYED_CHROME;

logComment( "initInstall: " + err );

err = addFile( "Document Archive Plugin", // displayName from contents.rdf
               "docarc.jar",              // jar source
               chromef,                   // target folder
               "" );                      // target subdir

if ( err == SUCCESS )
  {
  registerChrome( CONTENT | cont, getFolder( chromef, "docarc.jar" ), "content/docarc/" );
  registerChrome( LOCALE | cont,  getFolder( chromef, "docarc.jar"), "locale/en-US/docarc/");
  registerChrome( LOCALE | cont,  getFolder( chromef, "docarc.jar"), "locale/de-DE/docarc/");
  registerChrome( LOCALE | cont,  getFolder( chromef, "docarc.jar"), "locale/de-AT/docarc/");
  err = getLastError();
  if ( err == SUCCESS )
    {
    err = performInstall( );
    if ( err == SUCCESS ) alert( "\"Document Archive Plugin\" has been succesfully installed. Restart the browser to finish the installation" );
    }
  }
else
  if ( err != SUCCESS )
    {
    alert( err );
    alert( "The installation failed." );
    cancelInstall( err );
    }
